<?xml version="1.0" encoding="US-ASCII"?>
<!-- This file is part of OpenMeca, an easy software to do mechanical simulation. -->

<!-- Author(s)    :  - Damien ANDRE  openmeca@gmail.com -->

<!-- Copyright (C) 2012 Damien ANDRE -->

<!-- This program is free software: you can redistribute it and/or modify -->
<!-- it under the terms of the GNU General Public License as published by -->
<!-- the Free Software Foundation, either version 3 of the License, or -->
<!-- (at your option) any later version. -->

<!-- This program is distributed in the hope that it will be useful, -->
<!-- but WITHOUT ANY WARRANTY; without even the implied warranty of -->
<!-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the -->
<!-- GNU General Public License for more details. -->

<!-- You should have received a copy of the GNU General Public License -->
<!-- along with this program.  If not, see http://www.gnu.org/licenses. -->

<UnitManager Version="1.0.0">

  <Dimension Name="Force" UserChoice="Newton">
    <Unit Name="Newton"    Symbol="N"     Factor="1."/>
  </Dimension>

  <Dimension Name="Stiffness" UserChoice="NewtonPerMeter">
    <Unit Name="NewtonPerMeter" Symbol="N/m" Factor="1."/>
  </Dimension>

  <Dimension Name="DampingFactor" UserChoice="NewtonPerMeterPerSecond">
    <Unit Name="NewtonPerMeterPerSecond" Symbol="N/(m/s)" Factor="1."/>
  </Dimension>


  <Dimension Name="Torque" UserChoice="NewtonPerMeter">
    <Unit Name="NewtonPerMeter" Symbol="N/m" Factor="1."/>
  </Dimension>


  <Dimension Name="Length" UserChoice="Meter">
    <Unit Name="Meter"      Symbol="m" Factor="1."/>
    <Unit Name="Millimeter" Symbol="mm" Factor="1.e-3"/> 
  </Dimension>

  <Dimension Name="Angle" UserChoice="Degree">
    <Unit Name="Radian"      Symbol="rad" Factor="1."/>
    <Unit Name="Degree"      Symbol="d" Factor="0.017453292519943295"/> 
  </Dimension>

  <Dimension Name="Step" UserChoice="MeterPerRevolution">
    <Unit Name="MeterPerRadian" Symbol="m/rad" Factor="1."/>
    <Unit Name="MeterPerRevolution" Symbol="m/rev" Factor="0.1592356687898089"/>
  </Dimension>

  <Dimension Name="AngularVelocity" UserChoice="RadianPerSecond">
    <Unit Name="RadianPerSecond" Symbol="rad/s" Factor="1."/>
  </Dimension>

  <Dimension Name="AngularAcceleration" UserChoice="RadianPerSecondSquared">
    <Unit Name="RadianPerSecondSquared" Symbol="rad/s^2" Factor="1."/>
  </Dimension>
  

  <Dimension Name="LinearVelocity" UserChoice="MeterPerSecond">
    <Unit Name="MeterPerSecond" Symbol="m/s" Factor="1."/>
  </Dimension>

  <Dimension Name="LinearAcceleration" UserChoice="MeterPerSecondSquared">
    <Unit Name="MeterPerSecondSquared" Symbol="m/s^2" Factor="1."/>
  </Dimension>

  
  <Dimension Name="Mass" UserChoice="Kilogramme">
    <Unit Name="Kilogramme" Symbol="kg" Factor="1."/>
    <Unit Name="Gramme"     Symbol="g" Factor="1.e-3"/> 
  </Dimension>

  <Dimension Name="Inertia" UserChoice="Kilogramme Square Meter">
    <Unit Name="Kilogramme Square Meter"      Symbol="kg.m^2" Factor="1."/>
    <Unit Name="Gramme Square Meter"          Symbol="g.m^2" Factor="1.e-3"/> 
    <Unit Name="Kilogramme Square Millimeter" Symbol="kg.mm^2" Factor="1.e-6"/> 
    <Unit Name="Gramme Square Millimeter"     Symbol="kg.mm^2" Factor="1.e-9"/> 
  </Dimension>

  <Dimension Name="Time" UserChoice="Second">
    <Unit Name="Second"      Symbol="s" Factor="1."/>
  </Dimension>

  <!-- It's not really dimension -->
  <Dimension Name="Percent" UserChoice="PercentUnit">
    <Unit Name="PercentUnit" Symbol="%" Factor="0.01"/>
    <Unit Name="Fake" Symbol="%" Factor="1"/>
  </Dimension>

  <Dimension Name="Null" UserChoice="NoUnit">
    <Unit Name="NoUnit" Symbol="" Factor="1."/>
  </Dimension>


</UnitManager>

